Subject: RE: [Capwap] RE: IPR issues

From: "Darren Loher" <[email-masked]>
Date: Wed, 14 Sep 2005 16:31:54 -0700

I definitely agree that this is a major problem and poses a major
barrier to adoption of a standard.  

It might help if we knew what was being claimed.  This might help us
have a discussion about how to deal with the problem.  However, since
the patent application(s) in question are unpublished it is difficult to
do so.  

The act of requiring a license, even if free, to implement an Internet
RFC will pose major problems for some implementers.  I respect that
Cisco would like to protect themselves from litigation, but this does
not sound like a merely protective measure.  The latest disclosure
specifies that licensing is conditional and is not a free, unconditional
license.

In order to be successful, whatever this working group creates and
emerges as the CAPWAP protocol must be free of licensing requirements.

-Darren

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Troy Dixler
> Sent: Wednesday, September 14, 2005 5:17 AM
> To: [email-masked]
> Subject: [Capwap] RE: IPR issues
> 
> Guys,
> 
> I think that we have a major problem with this type of tactic. Clearly
the
> working group has to move forward with submissions that are free from
> Cisco
> IPR claims.  This type of hijacking of the working group simply cannot
be
> permitted to take place. The IETF is an open standards working group.
Talk
> about capitalism taken off the deep end.
> 
> -Troy
> 
> > -----Original Message-----
> > From: Wijnen, Bert (Bert) [mailto:[email-masked]]
> > Sent: Tuesday, September 13, 2005 1:44 PM
> > To: Dan Harkins
> > Cc: [email-masked]; [email-masked]; [email-masked]
> > Subject: RE: IPR issues
> >
> > Well, you guys were debating potential IPR concerns, and
> > so I figured I had to be clear that in accordance with the
> > IETF IPR rules and the NOTE WELL statements, anyone who
> > know about a patent needs to report on it if they participate.
> >
> > Best of course is if there are no IPR claims at all, but
> > if they do exist, then we (as a WG) better know about
> > them early.
> >
> > Bert
> >
> >
> > > -----Original Message-----
> > > From: Dan Harkins [mailto:[email-masked]]
> > > Sent: Tuesday, September 13, 2005 18:24
> > > To: Wijnen, Bert (Bert)
> > > Cc: [email-masked]; [email-masked]; [email-masked]
> > > Subject: Re: IPR issues
> > >
> > >
> > >   Bert,
> > >
> > >   You overturned a rock and some nastly things crawled out. I
> > > refer to:
> > >
> > >
> > > http://www.ietf.org/ietf/IPR/cisco-ipr-draft-singh-capwap-ctp.txt
> > >
> > > So now Cisco is claiming IPR ON ALL SUBMISSIONS TO THIS
> > > WORKING GROUP!!!
> > >
> > >   How pathetic. And how utterly baseless.
> > >
> > >   Dan.
> > >
> > > On Sat, 03 Sep 2005 23:06:28 +0200 you wrote
> > > > All,
> > > >
> > > > I changed the subject line.
> > > > This is not about FCC certification but about IPR.
> > > >
> > > > The question to be asked is:
> > > >
> > > >    does anyone know if there is any IPR anywhere.
> > > >
> > > > According to the NOTE WELL, if anyone who contributes to
> > > > or participates in this WG, then they MUST disclose if they know
> > > > about any IPR of the technology being discussed in the WG.
> > > > Even if it is IPR that they know someone else is holding.
> > > >
> > > > And so that includes all submitted technologies.
> > > > Pls also read RFC 3978 and RFC 3979
> > > >
> > > > Bert
> > > >
> > > > > -----Original Message-----
> > > > > From: [email-masked]
> > > [mailto:[email-masked]]On
> > > > > Behalf Of Dan Harkins
> > > > > Sent: Saturday, September 03, 2005 13:47
> > > > > To: [email-masked]
> > > > > Cc: [email-masked]
> > > > > Subject: [Capwap] this is not the thread on expanded
discussion on
> > > > > regulatory certification which has now officially ended
> > > > >
> > > > >
> > > > >   Troy,
> > > > >
> > > > >   There is no IPR claim on SLAPP to remove.
> > > > >
> > > > >   Dan.
> > > > >
> > > > > On Sat, 03 Sep 2005 08:28:56 CDT you wrote
> > > > > > Guys,
> > > > > >
> > > > > > I've been watching the argument on this thread and feel
> > > > > that it's time to
> > > > > > make a statement as a working group member.  There are two
> > > > > very separate
> > > > > > arguments going on here.  One is related to IPR claims and
> > > > > the other around
> > > > > > image download and FCC violations.  I am not making this
> > > > > comment around the
> > > > > > image download portion but believe it's essential to
> > > > > discuss the IPR issue.
> > > > > >
> > > > > > I've seen the IPR game getting out of hand within the IETF
> > > > > for way too long.
> > > > > > There are way too many drafts that are coming into the IETF
> > > > > standards
> > > > > > process claiming IPR.
> > > > > >
> > > > > > The purpose for the CAPWAP working group is to create an
> > > > > OPEN standard that
> > > > > > all vendors can implement and show interoperability.
> > > > > Regardless of the
> > > > > > image download argument, before I'll stand up and back the
> > > > > LWAPP or SLAPP
> > > > > > contribution, I want Cisco as well as Trapeze to remove any
> > > > > notion of owing
> > > > > > IPR where they can go after other vendors that implement an
> > > > > IETF standard.
> > > > > > That simply does not wash.
> > > > > >
> > > > > > If the IPR comment stands then we as a working group must
> > > > > engineer around
> > > > > > any/all requirements and come up with a standard that does
> > > > > not allow one
> > > > > > vendor to have that type of power.
> > > > > >
> > > > > > I do not buy into any comments such as "we would never do
> > > > > it" or "we want to
> > > > > > contribute to this moving forward" etc. If that is the
> > > > > case, drop the IPR
> > > > > > claim and then we can go back to considering what protocol
> > > > > would best
> > > > > > represent the basis for CAPWAP.
> > > > > >
> > > > > > The notion of trying to move on from this topic and even
> > > > > consider using a
> > > > > > protocol that has this type of IPR claim is ridiculous
> > > > > (IMHO).  I want an
> > > > > > IPR free protocol standard out of this group.
> > > > > >
> > > > > > So there are two questions.  Will both the main authors of
> > > > > each of the specs
> > > > > > remove any/all IPR claims for consideration of being in the
> > > > > spec? It's a
> > > > > > simple question of yes or no. Please do not present a long
> > > > > reply without
> > > > > > answering it as a binary decision.
> > > > > >
> > > > > > -Troy
> > > > > >
> > > > > >
> > > > > > > -----Original Message-----
> > > > > > > From: [email-masked]
> > > > > [mailto:[email-masked]] On
> > > > > > > Behalf Of Dan Harkins
> > > > > > > Sent: Saturday, September 03, 2005 12:53 AM
> > > > > > > To: Bob O'Hara (boohara)
> > > > > > > Cc: [email-masked]
> > > > > > > Subject: Re: [Capwap] Expanded discussion on regulatory
> > > > > certification
> > > > > > >
> > > > > > >   Bob,
> > > > > > >
> > > > > > > On Fri, 02 Sep 2005 13:15:10 PDT you wrote
> > > > > > > [snip]
> > > > > > > >
> > > > > > > > Both the SLAPP and LWAPP protocol proposals include the
> > > > > ability to
> > > > > > > download c
> > > > > > > >ode to an AP/WTP.  The difference between the two is
> > > > > that CAPWAP requires
> > > > > > > an a
> > > > > > > >uthentication signature must be validated before a
> > > > > download can be used,
> > > > > > > while
> > > > > > > > SLAPP has no such mechanism and specifically allows
> > > > > download of code
> > > > > > > from sou
> > > > > > > >rces other than the manufacturer or an authorized
> > > delegate of the
> > > > > > > manufacturer
> > > > > > > >.  This is a significant difference between the two
> > > > > protocols and needs
> > > > > > > to be
> > > > > > > >considered when evaluating the protocols during this
> > > > > phase of selecting
> > > > > > > the ba
> > > > > > > >sis for CAPWAP standardization.
> > > > > > >
> > > > > > > "Both the SLAPP and LWAPP protocol proposals.... The
> > > > > difference between
> > > > > > > the
> > > > > > > two is that CAPWAP requires an authentication signature
> > > > > must be validated
> > > > > > > before a download can be used, while SLAPP has no such
> > > > > mechanism...."
> > > > > > >
> > > > > > > LWAPP = CAPWAP? I think you're getting a little excited
> > > > > here Bob. Either
> > > > > > > that or you know something that has not been made public
yet.
> > > > > > >
> > > > > > > What you don't know is how SLAPP works. Please go read
> > > > > the spec. There is
> > > > > > > an authentication step PRIOR to the AC and WTP deciding
> > > > > whether to proceed
> > > > > > > to the full-fledged control and provisioning protocol or
> > > > > to do image
> > > > > > > download.
> > > > > > >
> > > > > > > > Going back to one of my first statements on this topic
> > > > > and to bring this
> > > > > > > arou
> > > > > > > >nd again to why this discussion is important to the
> > > > > working group while
> > > > > > > evalua
> > > > > > > >ting protocols, independent implementations of LWAPP can
> > > > > be built from
> > > > > > > the pro
> > > > > > > >tocol specification, alone.  That same statement cannot
> > > > > be made about
> > > > > > > SLAPP.
> > > > > > >
> > > > > > > Wrong! SLAPP includes a complete provisioning and control
> > > > > protocol.
> > > > > > >
> > > > > > >   Dan.
> > > > > > >
> > > > > > > _______________________________________________
> > > > > > > Capwap mailing list
> > > > > > > [email-masked]
> > > > > > > http://mail.frascone.com/mailman/listinfo/capwap
> > > > > >
> > > > > > _______________________________________________
> > > > > > Capwap mailing list
> > > > > > [email-masked]
> > > > > > http://mail.frascone.com/mailman/listinfo/capwap
> > > > > _______________________________________________
> > > > > Capwap mailing list
> > > > > [email-masked]
> > > > > http://mail.frascone.com/mailman/listinfo/capwap
> > > > >
> > >
> 
> _______________________________________________
> Capwap mailing list
> [email-masked]
> http://mail.frascone.com/mailman/listinfo/capwap
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: "Troy Dixler" <[email-masked]>
Date: Thu, 15 Sep 2005 05:14:40 -0500

I'd like to hear from the WG chairs on this matter as this presents a
problem for the mission and charter of the group. I would imagine that other
WG chairs or Area directors have faced similar challenges and we need to
move forward.

One easy way we can address these issues outright is to take a mailing list
vote around accepting the drafts that have been presented to this working
group that have IPR claims and not allow them to become working group items.

Let's hear the WG chairs on this issue.

-Troy

> From: Darren Loher [mailto:[email-masked]]
> Sent: Wednesday, September 14, 2005 6:32 PM
> To: [email-masked]; [email-masked]
> Subject: RE: [Capwap] RE: IPR issues
>

---

From: "James Kempf" <[email-masked]>
Date: Thu, 15 Sep 2005 10:30:33 -0700

I think RFC 1822 should be the model.

I don't have any problem with a license if it is royalty free, but it will 
certainly cause problems for the OpenSource community.

            jak

----- Original Message ----- 
From: "Darren Loher" <[email-masked]>
To: <[email-masked]>; <[email-masked]>
Sent: Wednesday, September 14, 2005 4:31 PM
Subject: RE: [Capwap] RE: IPR issues

-Darren

the
be
Talk
discussion on
yet.

---

From: "James Kempf" <[email-masked]>
Date: Thu, 15 Sep 2005 11:44:06 -0700

Let's be careful to distinguish which IPR notice we're talking about. As I 
read the two disclosures (and I'm not a lawyer so take this for what it's 
worth), the license associated with LWAPP would be royalty free if it is 
adopted as a standard, the claimed terms for the others are RAND, which 
would not be royality free.

Have I got that right?

            jak

----- Original Message ----- 
From: "Ted Lemon" <[email-masked]>
To: "James Kempf" <[email-masked]>
Cc: "Darren Loher" <[email-masked]>; <[email-masked]>; 
<[email-masked]>
Sent: Thursday, September 15, 2005 11:07 AM
Subject: Re: [Capwap] RE: IPR issues

On Sep 15, 2005, at 10:30 AM, James Kempf wrote:
> I don't have any problem with a license if it is royalty free, but  it 
> will certainly cause problems for the OpenSource community.

The license in this case isn't royalty free.   It's "reasonable,"
which can mean anything, although in my experience to date Cisco has
in fact been reasonable in the sense of the word that I normally
use.   The relevant document here is RFC3979, which doesn't
explicitly say what to do, but has a good discussion of the issues
involved.